using System.Text.Json.Serialization;

namespace  DataSharing.Share.Dtos.Province.Extend
{
    /// <summary>
    /// 邮政业消费者申诉受理信息
    /// </summary>
    public class FormPostInfo
    {
        /// <summary>
        /// 申诉人姓名 
        /// </summary>
        [JsonPropertyName("APPEAL_NAME")]
        public string? AppealName { get; set; }

        /// <summary>
        /// 申诉人电话 
        /// </summary>
        [JsonPropertyName("APPEAL_NUM")]
        public string? AppealNum { get; set; }

        /// <summary>
        /// 申诉企业 
        /// </summary>
        [JsonPropertyName("APPEAL_ENTERPRISE")]
        public string? AppealEnterprise { get; set; }

        /// <summary>
        /// 寄件人姓名 
        /// </summary>
        [JsonPropertyName("SENDER_NAME")]
        public string? SenderName { get; set; }

        /// <summary>
        /// 寄件人电话 
        /// </summary>
        [JsonPropertyName("SENDER_NUM")]
        public string? SenderNum { get; set; }

        /// <summary>
        /// 寄件人地址 
        /// </summary>
        [JsonPropertyName("SENDER_ADDR")]
        public string? SenderAddr { get; set; }

        /// <summary>
        /// 收件人姓名 
        /// </summary>
        [JsonPropertyName("ADDRESSEE_NAME")]
        public string? AddresseeName { get; set; }

        /// <summary>
        /// 收件人电话 
        /// </summary>
        [JsonPropertyName("ADDRESSEE_NUM")]
        public string? AddresseeNum { get; set; }

        /// <summary>
        /// 收件人地址 
        /// </summary>
        [JsonPropertyName("ADDRESSEE_ADDR")]
        public string? AddresseeAddr { get; set; }

        /// <summary>
        /// 涉及金额 
        /// </summary>
        [JsonPropertyName("INSURED_PRICE")]
        public string? InsuredPrice { get; set; }

        /// <summary>
        /// 是否联系快递公司投诉 
        /// </summary>
        [JsonPropertyName("IS_CONTACT")]
        public string? IsContact { get; set; }

        /// <summary>
        /// 处理结果 
        /// </summary>
        [JsonPropertyName("OPERATE_RESULT")]
        public string? OperateResult { get; set; }
    }
}
